Name:           gds2pov
Version:        0.20080229
Release:        17%{?dist}
Summary:        GDS2 layout file to POV-Ray conversion

Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.atchoo.org/gds2pov/
Source0:        http://www.atchoo.org/gds2pov/files/gdsto3d-20080229.tar.bz2

# Fix an invalid fprintf
Patch0:         0001-Fix-invalid-fprintf.patch
# Hack to add -lX11 to linker
Patch1:         0002-Hack-Add-lX11-to-linker.patch

BuildRequires:  libX11-devel mesa-libGLU-devel cmake


%description
GDS2POV is a program to take a GDS2 layout file
and output a POV-Ray scene description file of
the GDS2 data. This allows the creation of
attractive 3D pictures of a layout.

GDS2POV is mostly used by VLSI designers.


%package devel
Summary:         Development files for the GDS2POV
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}


%description devel
Development files for GDS2POV


%prep
%setup -q -n gdsto3d-20080229
%patch0 -p1
%patch1 -p1

%build
cd build

%cmake ..
%{__make} %{?_smp_mflags} VERBOSE=1


%install
cd build
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

%{__rm} -rf %{buildroot}%{_datadir}/gdsto3d/
cd ..

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS todo.txt readme.txt changes.txt
%license COPYING
%doc example_config.txt example.gds example_process.txt example.cmd
%{_bindir}/%{name}
%{_bindir}/gds2svg
%{_bindir}/gdsoglviewer
%{_libdir}/libgdsto3d.so.*


%files devel
%{_libdir}/libgdsto3d.so


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.20080229-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20080229-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20080229-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.20080229-14
- Add 0001-Fix-invalid-fprintf.patch, 0002-Hack-Add-lX11-to-linker.patch
  (RHBZ#1307524, F24FTBFS, F25FTBFS, F26FTBFS).
- Modernize spec.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20080229-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.20080229-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080229-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.20080229-1
- New upstream release
- Numerous fixes for compiling with gcc 4.3
- Minor fix for building on multilib Linux x86_64 machines
- New feature - automatic generation of a skeleton process file based on an input gds2 file.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.20070815-2
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070815-1
- New upstream release

* Wed Aug 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-2
- fixes the license

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-1
- Initial Package